Bug 113377 - Crash in: OpenGLContext::AcquireFramebuffer(OpenGLTexture const &)
Summary: Crash in: OpenGLContext::AcquireFramebuffer(OpenGLTexture const &)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.4
Keywords: bibisected, regression
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2017-10-23 13:34 UTC by Kevin Pritchard
Modified: 2018-04-27 03:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["OpenGLContext::AcquireFramebuffer(OpenGLTexture const &)"]


Attachments
SAL Warn output cygwin (8.88 KB, text/plain)
2017-10-23 16:48 UTC, Telesto
Details
Bibisect log (50.85 KB, text/plain)
2017-10-25 08:02 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Pritchard 2017-10-23 13:34:09 UTC
This bug was filed from the crash reporting server and is br-429421d5-b581-430b-99b7-0c39bdcc60c9.
=========================================

Tools / Options / Personalisation / Select Theme

Under Categories selected LibreOffice button.

Very slow to load themes.

Then selected Abstract button and LibreOffice crashed.
Comment 1 Xisco Faulí 2017-10-23 13:53:02 UTC
Hello Kevin,
Thanks for reporting this issue.
Recently a fix for the same crash was submitted to master -> https://cgit.freedesktop.org/libreoffice/core/commit/?id=856d734ee1665b6aa7304847c3a923af09066016

Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 2 Kevin Pritchard 2017-10-23 14:39:45 UTC
Hi Xisco

I've downloaded and installed the latest development build and the crash still happens as before. I've reset the status back to UNCONFIRMED

Version: 6.0.0.0.alpha1+ (x64)
Build ID: b19e1a145bcdaab7ccd4c4c84dd3bd9795403cd5
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-21_23:57:09
Locale: en-GB (en_GB); Calc: CL
Comment 3 Xisco Faulí 2017-10-23 14:42:48 UTC
@Telesto, do you reproduce it using OpenGL ?
Comment 4 Telesto 2017-10-23 15:33:46 UTC
Confirming:
a) Very slow to load themes.
b) Then selected Abstract button and LibreOffice crashed.

Version: 6.0.0.0.alpha0+
Build ID: a4a182e24d2e3e954831a0a7c70a7299f28950cb
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-10-18_04:47:29
Locale: nl-NL (nl_NL); Calc: CL

It has some similarity with: bug 105316.
Comment 5 Xisco Faulí 2017-10-23 15:34:45 UTC
@Telesto, could you please try with previous versions? or even bisect it?
Comment 6 Telesto 2017-10-23 16:48:54 UTC
Created attachment 137243 [details]
SAL Warn output cygwin

(In reply to Xisco Faulí from comment #5)
> @Telesto, could you please try with previous versions? or even bisect it?

Version: 6.0.0.0.alpha1+
Build ID: 380d6afe5fd691f6ad4b17fc38b79b9fca4ba906
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-10-22_09:58:27
Locale: nl-NL (nl_NL); Calc: CL

and no repro with:
Version: 5.4.1.0.0+
Build ID: e197b4a88c421201e157552f94e7eaaa00a76269
CPU threads: 4; OS: Windows 6.29; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

Is a bibisect needed, or is the SAL output sufficient?
Comment 7 Telesto 2017-10-25 08:02:22 UTC
Created attachment 137279 [details]
Bibisect log

A bibisect log with a pretty large range. It did crash a while only when clicking 'LibreOffice' themes
Comment 8 Miklos Vajna 2018-04-24 08:52:21 UTC
Could you please add a list of steps to reproduce the problem?
Comment 9 Miklos Vajna 2018-04-24 09:03:05 UTC
Sorry, I missed the instructions from the description. At least happened to me once as well, taking a look.
Comment 10 Commit Notification 2018-04-24 20:29:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=336d91a6f2bc12ff0342f984cdbb2cf64abd0b56

tdf#113377 cui personalization: fix calling into VCL without necessary locking

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Miklos Vajna 2018-04-25 07:26:11 UTC
Will backport to 6.0 soon.
Comment 12 Commit Notification 2018-04-26 14:15:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=980e19ddddaf46dae68c800d55582e8f6b2c7fdd&h=libreoffice-6-0

tdf#113377 cui personalization: fix calling into VCL without necessary locking

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-04-26 19:53:47 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d90c992f54845b2403e7f564fec00ce876736ad&h=libreoffice-6-0-4

tdf#113377 cui personalization: fix calling into VCL without necessary locking

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.